Name: krandr
Summary: Applet for configuring screen size and rotation
Version: 0.5.2.1
Release: %mkrel 13
License: GPL
Group: Graphical desktop/KDE 
URL: http://git.mandriva.com/?p=projects/krandr.git
Source0:  %{name}-%{version}.tar.gz
Patch0: krandr-0.5.2.1-legacy_randr_on_single_output.patch
Patch1: krandr-0.5.2-display_switch.patch
Patch2: krandr-0.5.2.1-fix_rrate_display.patch
Patch3: krandr-0.5.2.1-fix_autostart.patch
Patch4: krandr-0.5.2.1-add-mandriva-translations.patch
Patch5: krandr-0.5.2.1-change_the_way_crtcs_are_set.patch
Patch6: krandr-0.5.2.1-grab_server_avoiding_crashes.patch
Patch7: krandr-0.5.2.1-flush_after_ungrab.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kdelibs-devel
BuildRequires: qt3-devel >= 3.3.3
Conflicts: kdebase-common <= 1:3.5.7-18mdv2008.0
Conflicts: libkdebase4 <= 1:3.5.7-20mdv2008.0

%description
KRandr is an applet for configuring screen size and rotation through the XRandR
extension.

%prep
%setup -q
%patch0 -p1 -b .legacyrandr
%patch1 -p1 -b .displayswitch
%patch2 -p1 -b .rrate_display
%patch3 -p1 -b .fix_autostart
%patch4 -p1 -b .test_translations
%patch5 -p1 -b .crtc_set
%patch6 -p1 -b .grab_server
%patch7 -p1 -b .flush_after
%build
%configure2_5x
%make

%install
%makeinstall
# we don't want to mess with kde-i18n packages for now
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/krandr.mo

# install krandrtray in kde autostart
install -d -m 0755 %{buildroot}%{_datadir}/autostart
cp -f %{buildroot}%{_datadir}/applications/kde/krandrtray.desktop %{buildroot}%{_datadir}/autostart/

# remove the documentation as it is dummy
rm -rf %{buildroot}%{_datadir}/doc/HTML/en/krandr

%files
%defattr(-,root,root)
%{_bindir}/krandrtray
%{_libdir}/kde3/kcm_randr.*
%{_datadir}/applications/kde/krandrtray.desktop
%{_datadir}/applnk/.hidden/randr.desktop
%{_datadir}/autostart/krandrtray.desktop


%changelog
* Tue May 20 2008 Danilo Cesar Lemes de Paula <danilo@mandriva.com> 0.5.2.1-13mdv2008.1
+ Revision: 209438
- Flush client affter grab hinder xcb to hang X.

* Mon Mar 31 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-12mdv2008.1
+ Revision: 191318
- Grab the X server in order for the changes to be atomic

* Fri Mar 28 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-11mdv2008.1
+ Revision: 190977
- Fix the way the screen are upper-sized when the resolution of the CRTC is
  changed. This avoids kicker and kwin getting lost on parsing X events.

* Mon Mar 10 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.2.1-10mdv2008.1
+ Revision: 183618
- fix description

* Mon Mar 10 2008 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-9mdv2008.1
+ Revision: 183512
- Use the correct autostart condition so that it is actually started (#38455)

* Fri Feb 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.2.1-8mdv2008.1
+ Revision: 174021
- Add translations for mandriva strings

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.2.1-7mdv2008.1
+ Revision: 141739
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-6mdv2008.0
+ Revision: 94865
- Make it possible to disable krandr autostart (#34378)

* Fri Sep 28 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-5mdv2008.0
+ Revision: 93579
- Make krandr start at session startup (#34047)
- Remove the dummy documentation files

* Mon Sep 17 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-4mdv2008.0
+ Revision: 89338
- Fix displaying of refresh rates (#33710)

* Thu Sep 13 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-3mdv2008.0
+ Revision: 85303
- add a display switch shortcut
- add proper conflicts to libkdebase4 (#32957)

* Wed Sep 12 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-2mdv2008.0
+ Revision: 84651
- Use the legacy randr interface when there is only one output available
  (mostly drivers that do not support RandR1.2 yet)

* Tue Aug 28 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.5.2.1-1mdv2008.0
+ Revision: 72849
- Fix group and point the URL to the git repository of krandr
- Import krandr

